Skip to main content
POST
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
analyze-model-quality
Returns MQ analyze for the model based on the user's config (or model's default config).
curl --request POST \
  --url https://api.example.com/model-monitor/v2/api/model/{model_id}/analyze-model-quality \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "modelType": "<string>",
  "metricCheckConfigs": [
    {
      "alertsEnabled": true,
      "threshold": {
        "operator": "<string>",
        "lowerThreshold": 123,
        "upperThreshold": 123
      }
    }
  ],
  "startTimestamp": 123,
  "endTimestamp": 123
}
'
{
  "modelType": "<string>",
  "calculatedOn": 123,
  "startTimestamp": 123,
  "endTimestamp": 123,
  "metricTestResults": [
    {
      "metricType": "<string>",
      "threshold": {
        "operator": "<string>",
        "lowerThreshold": 123,
        "upperThreshold": 123
      },
      "alertsEnabled": true,
      "trend": [
        {
          "timestamp": 123,
          "value": 123,
          "numberOfRows": 123
        }
      ],
      "status": true,
      "value": 123,
      "numberOfRecords": 123
    }
  ],
  "matchedRowCount": 123,
  "confusionMatrix": {
    "matrix": [
      [
        123
      ]
    ],
    "labels": [
      "<string>"
    ]
  },
  "classificationReport": {
    "labelsReport": [
      {
        "heading": "<string>",
        "support": 123,
        "precision": 123,
        "recall": 123,
        "f1Score": 123
      }
    ],
    "accuracyReport": {
      "value": 123,
      "support": 123
    },
    "averagesReport": [
      {
        "heading": "<string>",
        "support": 123,
        "precision": 123,
        "recall": 123,
        "f1Score": 123
      }
    ]
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

model_id
string
required

Identifier for the model to be updated.

Body

application/json

Query config for Regression model

modelType
string
required

Type of the model

metricCheckConfigs
Metric Query config Common components · object[]
required
startTimestamp
number
endTimestamp
number

Response

The MQ analyze query was done successfully.

modelType
string
required

Type of the model

calculatedOn
number
required

Timestamp of time when the query was performed.

startTimestamp
number
required

Start time for the data used for the query.

endTimestamp
number
required

End time for the data used for the query.

metricTestResults
Metric Test Results · object[]
required

Metric Test Results for the queries.

matchedRowCount
number
required

Number of matched Ground Truth and Prediction rows for this query.

confusionMatrix
object | null
required
classificationReport
MQ Classification Report Object · object | null
required

List of Metrics per label, List of Macro and Weighted Averaged metrics, and Micro Accuracy value